from sqlalchemy import *
from migrate import *
import migrate.changeset

class Dictionaries(object):
    def __init__(self, meta):
        self.button=Table('button',meta,
            Column('code',Integer,nullable=False,primary_key=True),
            Column('name',String(200),nullable=False),
            Column('tag',String(100),nullable=True),
            Column('rateobject',Integer,nullable=False),
            Column('ratetype',Integer,nullable=False),
            Column('ratevalue',Numeric(precision=15,scale=2),nullable=True),
            Column('maxratevalue',Numeric(precision=15,scale=2),nullable=True),
            Column('minratevalue',Numeric(precision=15,scale=2),nullable=True),
        )

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    dictionaries = Dictionaries(meta)
    for table in filter(lambda x: isinstance(x,Table), map(lambda x: getattr(dictionaries,x), dir(dictionaries))):
        basename = table.name
        for suffix in ['1','2']:
            table.name = basename+suffix
            table.create()
    conn = migrate_engine.connect()
    for table in filter(lambda x: isinstance(x, Table), map(lambda x: getattr(dictionaries, x), dir(dictionaries))):
        basename = table.name[:-1]
        conn.execute('create view %s as select * from %s' % (basename, basename + '1'))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    dictionaries = Dictionaries(meta)
    for table in filter(lambda x: isinstance(x,Table), map(lambda x: getattr(dictionaries,x), dir(dictionaries))):
        basename = table.name
        for suffix in ['1','2']:
            table.name = basename+suffix
            table.drop()
    conn = migrate_engine.connect()
    for table in filter(lambda x: isinstance(x, Table), map(lambda x: getattr(dictionaries, x), dir(dictionaries))):
        basename = table.name[:-1]
        conn.execute('drop view %s' % (basename))

