from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getAspectValueSetTables(meta):
    aspectvalueset1 = Table('aspectvalueset1', meta, autoload=True)
    aspectvalueset2 = Table('aspectvalueset2', meta, autoload=True)
    return [aspectvalueset1, aspectvalueset2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in getAspectValueSetTables(meta):
        aspectValueName = Column('name', String(255), nullable=True)
        if not 'name' in tbl.columns:
            aspectValueName.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'aspectvalueset')
    
def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    aspectValueSet = views_helper.get_table_name(migrate_engine,'aspectvalueset')
    for tbl in  getAspectValueSetTables(meta):
        if 'name' in tbl.columns:
            tbl.c.name.drop()
    views_helper.update_dic_view(migrate_engine, 'aspectvalueset', aspectValueSet)