from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getMolTables(meta):
    mol1 = Table('mol1', meta, autoload=True)
    mol2 = Table('mol2', meta, autoload=True)
    return [mol1, mol2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in getMolTables(meta):
        if not 'keyposition' in tbl.columns:
            keyposition = Column('keyposition', Integer, nullable=True)
            keyposition.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'mol')

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    mol = views_helper.get_table_name(migrate_engine,'mol')
    for tbl in getMolTables(meta):
        if 'keyposition' in tbl.columns:
            tbl.c.keyposition.drop()
    views_helper.update_dic_view(migrate_engine, 'mol', mol)
