from sqlalchemy import *
from dictionaries.versions import views_helper

tableName = 'certificate'
newColumnName = 'skiplastsymbol'

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in views_helper.getTables(meta, tableName):
        tbl.c.code.alter(type = String(100), autoincrement = False)
        tbl.c.rangefrom.alter(type = Numeric(precision = 20, scale = 0))
        tbl.c.rangeto.alter(type = Numeric(precision = 20, scale = 0))
        if not newColumnName in tbl.columns:
            Column(newColumnName, Integer, nullable = True).create(tbl)
    views_helper.update_dic_view(migrate_engine, tableName)

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    curTableName = views_helper.get_table_name(migrate_engine, tableName)
    for tbl in views_helper.getTables(meta, tableName):
        if newColumnName in tbl.columns:
            tbl.c[newColumnName].drop()
        tbl.c.code.alter(type = Integer, autoincrement = True)
        tbl.c.rangefrom.alter(type = Integer)
        tbl.c.rangeto.alter(type = Integer)
    views_helper.update_dic_view(migrate_engine, tableName, curTableName)
