from sqlalchemy import *

def getEgaisTtnParams(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    command = Table('command', meta, autoload=True)
    cmaction = Table('cmaction', meta, autoload=True)
    actionparameter = Table('actionparameter', meta, autoload=True)

    stmt = command.outerjoin(cmaction, command.c.commandcode == cmaction.c.commandcode) \
        .outerjoin(actionparameter, cmaction.c.cmactioncode == actionparameter.c.cmactioncode) \
        .select() \
        .where(command.c.commandname == 'COMMAND_EGAIS_TTN')

    return stmt.execute()

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    actionparameter = Table('actionparameter', meta, autoload=True)

    for row in getEgaisTtnParams(migrate_engine):
        name = row.parametername
        if name == 'number':
            code = row.actionparametercode
            newValue = 'excise' if row.parametervalue == '0' else 'nonexcise'
            stmt = update(actionparameter).where(actionparameter.c.actionparametercode == code) \
                .values(parametervalue = newValue, parametername = 'type')

            stmt.execute()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    actionparameter = Table('actionparameter', meta, autoload=True)

    for row in getEgaisTtnParams(migrate_engine):
        name = row.parametername
        if name == 'type':
            code = row.actionparametercode
            newValue = 0 if row.parametervalue == 'excise' else 1
            stmt = update(actionparameter).where(actionparameter.c.actionparametercode == code) \
                .values(parametervalue = newValue, parametername = 'number')

            stmt.execute()
