from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getSupplierTable(meta):
    return Table('supplier', meta,
        Column('code', Integer, nullable=False, primary_key=True, autoincrement=False),
        Column('name', String(255), nullable=False),
        Column('phone', String(100), nullable=False),
        Column('inn', String(20), nullable=False)
    )

def getTmcSupplierTable(meta):
    return Table('tmcsupplier', meta,
        Column('tmccode', String(20), nullable=False, primary_key=True),
        Column('suppliercode', Integer, nullable=False, primary_key=True, autoincrement=False),
        Column('agentpaymentobject', Integer, nullable=False)
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getSupplierTable(meta))
    views_helper.create_table(migrate_engine, getTmcSupplierTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getTmcSupplierTable(meta))
    views_helper.drop_table(migrate_engine, getSupplierTable(meta))

