from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getPickList(meta):
    return Table('picklist', meta,
        Column('code', String(32), nullable=False, primary_key=True),
        Column('name', String(255), nullable=False, index=True),
        Column('image', Text, nullable=False),
        Column('parent', String(32), index=True),
        Column('tmccode', String(100)),
        Column('itemorder', Integer)
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getPickList(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getPickList(meta))

