from sqlalchemy import *
from migrate import *
import migrate.changeset

def getIndexes(meta):
    goodsitem = Table('goodsitem', meta, autoload=True)
    stornogoodsitem = Table('stornogoodsitem', meta, autoload=True)
    
    indices = [
        Index('stornogoodsitemcodetstime', stornogoodsitem.c.code, stornogoodsitem.c.tstime, unique=False),
        Index('goodsitemcodettime', goodsitem.c.code, goodsitem.c.ttime, unique=False)
    ]
    return indices

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    for idx in getIndexes(meta):
        idx.create()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    for idx in getIndexes(meta):
        idx.drop()
