from sqlalchemy import *
from migrate import *

def getTables(meta):
    return Table('users', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tbl = getTables(meta)
    if not 'rank' in tbl.columns:
        Column('rank', String(30), nullable=True, quote = True).create(tbl)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tbl = getTables(meta)
    if 'rank' in tbl.columns:
        Column('rank', String(30), nullable=True, quote = True).drop(tbl)