from sqlalchemy import *
from migrate import *
from documents.versions import dump

columnName = 'discsystem'
columnType = String(255)

def getTable(meta):
    return Table('discitem', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if not columnName in table.columns:
        Column(columnName, columnType, nullable=True).create(table)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if columnName in table.columns:
        Column(columnName, columnType, nullable=True).drop(table)
