from sqlalchemy import *
from migrate import *
from documents.versions import dump

manufacturerCountryCodeColumn = 'manufacturercountrycode'
manufacturerCountryCodeColumnType = Integer
customsDeclarationNumberColumn = 'customsdeclarationnumber'
customsDeclarationNumberColumnType = String(32)

def getTables(meta):
    goodsitem = Table('goodsitem', meta, autoload = True)
    stornogoodsitem = Table('stornogoodsitem', meta, autoload = True)
    return [goodsitem, stornogoodsitem]

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)

    for table in getTables(meta):
        if not manufacturerCountryCodeColumn in table.columns:
            Column(manufacturerCountryCodeColumn, manufacturerCountryCodeColumnType, nullable=True).create(table)
        if not customsDeclarationNumberColumn in table.columns:
            Column(customsDeclarationNumberColumn, customsDeclarationNumberColumnType, nullable=True).create(table)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    for table in getTables(meta):
        if manufacturerCountryCodeColumn in table.columns:
            Column(manufacturerCountryCodeColumn, manufacturerCountryCodeColumnType, nullable=True).drop(table)
        if customsDeclarationNumberColumn in table.columns:
            Column(customsDeclarationNumberColumn, customsDeclarationNumberColumnType, nullable=True).drop(table)
