#!/usr/bin/python3
# -*- coding: UTF-8 -*-

import configparser


class DBInfo(object):
    host = "localhost"
    port = 3306
    user = "root"
    password = ""
    serverDb = False

    def __init__(self):
        try:
            config = configparser.RawConfigParser()
            config.read("/linuxcash/cash/conf/db.ini", encoding='utf-8')
            self.user = config.get("MysqlServer", "user", fallback="root")
            self.password = config.get("MysqlServer", "password", fallback="")
            self.host = config.get("MysqlServer", "host", fallback="localhost")
            self.port = config.getint("MysqlServer", "port", fallback=3306)
            self.serverDb = config.getboolean("MysqlServer", "serverDb", fallback=False)
        except Exception as e:
            print(e)

    def getUrl(self, dbName):
        return 'mysql+pymysql://%s:%s@%s:%s/' % (self.user, self.password, self.host, self.port) + dbName + '?init_command=set%20names%20%22utf8%22&charset=utf8'


if __name__ == "__main__":
    print("Информация о базе данных")
    dbInfo = DBInfo()
    print(" пользователь:", dbInfo.user)
    print(" пароль:", dbInfo.password)
    print(" хост:", dbInfo.host)
    print(" порт:", dbInfo.port)
    if dbInfo.serverDb:
        print(" тип: БД сервера")
